Given(/^I initialize two clients that connect to port (\d+)$/) do |port|
  @client1_socket=TCPSocket.new 'localhost', port.to_i
  send_message(@client1_socket, ClientHelloMessage.new(0))
  expect_message(@client1_socket, ServerHelloMessage)

  @client2_socket=TCPSocket.new 'localhost', port.to_i
  send_message(@client2_socket, ClientHelloMessage.new(0))
  expect_message(@client2_socket, ServerHelloMessage)
end

When(/^first client stores data for key "(.*?)"$/) do |key|
  send_message(@client1_socket, ClientTransactionMessage.new('tx1',{key => [nil,'abc']},{'abc' => 'some value'}))
  expect_message(@client1_socket, ClientTransactionSuccessfulMessage)
  expect_message(@client1_socket, TransactionMessage)
end
