Given(/^client attempts to perform transaction that updates stale value$/) do
  @client1_socket=TCPSocket.new 'localhost', @server_port
  send_message(@client1_socket, ClientHelloMessage.new(0))
  expect_message(@client1_socket, ServerHelloMessage)
  send_message(@client1_socket, ClientTransactionMessage.new('tx1',{'a' => ['def','abc']},{'abc' => 'some value'}))  
end

Then(/^client should be notified that transaction has failed$/) do
  expect_message(@client1_socket, ClientTransactionFailedMessage)
end

